:root {
    --main-white: #eee;
    --secondary-white: #f8f9fa;
    --main-black: #222;
    --main-blue: #007bff;
    --main-dark-blue: #0069d9;
    --main-red: #dc3546;
}

html, body {
    height: 100%;
    width: 100%;
    color: var(--main-black);
    background-color: var(--main-white);
}

.join-button {
    margin-top: 1em;
}

.error-prompt {
    color: var(--main-red);
    margin-left: 0.2em;
}

.accordion {
    width: 60%;
    margin: 0 auto 0;
}

.accordion-header {
    background-color: var(--main-blue);
    transition: background 0.2s ease-in-out;
    border-radius: 15px;
}

.accordion-header:hover {
    background-color: var(--main-dark-blue);
}

.header-text {
    color: var(--secondary-white);
    line-height: 50px;
}

.move-down, .move-up {
    line-height: 50px;
    color: var(--secondary-white);
    text-emphasis: bold;
    font-size: 2em;
    transition: transform 0.2s;
}

.move-down:hover, .move-up:hover {
    transform: scale(1.3);
}

.accordion-content {
    background-color: #fff;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}

.accordion .accordion-section .accordion-content {
    display: none;
}

.accordion .accordion-section:nth-child(1) .accordion-content {
    display: block;
}

@media screen and (max-width: 1441px) {
    .book-display-catalog, .kegiatan-display {
        column-count: 4;
    }
}

@media screen and (max-width: 1025px) {
    .book-display-catalog, .kegiatan-display {
        column-count: 3;
    }
}

@media screen and (max-width: 769px) {
    .book-display-catalog, .kegiatan-display {
        column-count: 2;
    }
}

@media screen and (max-width: 426px) {
    .book-display-catalog, .kegiatan-display {
        column-count: 1;
    }
}
